package intrinsic.mx.graphics.codec;

public class JPEGEncoder extends Object implements intrinsic.mx.graphics.codec.IImageEncoder {

	/** Accessors */
	public String contentType;

	/** Variables */

	/** Constants */
	public static final String VERSION = "version";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public JPEGEncoder() {
}

public JPEGEncoder(Object arg0) {
}


/** Static Methods */

/** Methods */
public native intrinsic.flash.utils.ByteArray encodeByteArray(intrinsic.flash.utils.ByteArray arg0, int arg1, int arg2);
public native intrinsic.flash.utils.ByteArray encodeByteArray(intrinsic.flash.utils.ByteArray arg0, int arg1, int arg2, boolean arg3);
public native intrinsic.flash.utils.ByteArray encode(intrinsic.flash.display.BitmapData arg0);

}
